[Debian / Ubuntu] 1-line script: install Minetest Git

User avatar
Mainpage
Member
Posts: 61
Joined: Fri Nov 13, 2015 01:12
GitHub: mainfolio
IRC: mainpage
In-game: mainpage

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Mainpage » Post

Thanks Exterdad, now I think I'll just wait till you finish polishing your script instead of building it myself.
I'm not actually sure if my build even works!
Edit: I just realized there are official Ubuntu daily builds on the download page, lol.
I eat baby seals

User avatar
Glorfindel
Member
Posts: 137
Joined: Tue Jul 07, 2015 20:05
GitHub: the1glorfindel
IRC: Glorfindel DoomWeaver
In-game: Glorfindel

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Glorfindel » Post

This script still installs the last 0.4.13-dev build, rather than the 0.4.14-dev build, is there a way to change this to 0.4.14?

User avatar
Fixer
Member
Posts: 898
Joined: Sun Jul 31, 2011 11:23
IRC: Fixer
In-game: Fixer
Location: Ukraine

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Fixer » Post

Didn't know where to post, but this can be very handy for linux people who need to log their compilation (if you use script)
So you do like this:

Code: Select all

#!/bin/bash
{
your usual commands
} |& tee build.log
This will show output as usual, but also record everything in build.log file, very useful!

User avatar
Wayward_One
Member
Posts: 108
Joined: Tue Jun 10, 2014 18:44
GitHub: Wayward1
IRC: Wayward_One Wayward1
In-game: Wayward_One
Location: Kolene, Corellia
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Wayward_One » Post

Glorfindel wrote:This script still installs the last 0.4.13-dev build, rather than the 0.4.14-dev build, is there a way to change this to 0.4.14?
Actually,

Code: Select all

git clone https://github.com/minetest/minetest.git
will always install the latest HEAD (0.4.14-dev), as that is the main repository where all the latest commits end up. Perhaps try a fresh clone?

User avatar
Glorfindel
Member
Posts: 137
Joined: Tue Jul 07, 2015 20:05
GitHub: the1glorfindel
IRC: Glorfindel DoomWeaver
In-game: Glorfindel

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Glorfindel » Post

Wayward_One wrote:
Glorfindel wrote:This script still installs the last 0.4.13-dev build, rather than the 0.4.14-dev build, is there a way to change this to 0.4.14?
Actually,

Code: Select all

git clone https://github.com/minetest/minetest.git
will always install the latest HEAD (0.4.14-dev), as that is the main repository where all the latest commits end up. Perhaps try a fresh clone?
How would I do that? Doesn't the script download a new clone every time I run it?

User avatar
Mainpage
Member
Posts: 61
Joined: Fri Nov 13, 2015 01:12
GitHub: mainfolio
IRC: mainpage
In-game: mainpage

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Mainpage » Post

Glorfindel wrote:
Wayward_One wrote:
Glorfindel wrote:This script still installs the last 0.4.13-dev build, rather than the 0.4.14-dev build, is there a way to change this to 0.4.14?
Actually,

Code: Select all

git clone https://github.com/minetest/minetest.git
will always install the latest HEAD (0.4.14-dev), as that is the main repository where all the latest commits end up. Perhaps try a fresh clone?
How would I do that? Doesn't the script download a new clone every time I run it?
IDK much but what I do is delete the old clone then just clone again.
I eat baby seals

User avatar
Glorfindel
Member
Posts: 137
Joined: Tue Jul 07, 2015 20:05
GitHub: the1glorfindel
IRC: Glorfindel DoomWeaver
In-game: Glorfindel

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Glorfindel » Post

Hmmmm... looking at my original post, I forgot to mention that I was talking about the shorter update script :o
I guess that may be a wee bit important...

User avatar
XtremeHacker
Member
Posts: 174
Joined: Mon Aug 01, 2016 04:15
GitHub: MisterXtreme
IRC: MrXtreme
In-game: MrXtreme
Location: X -0, Y -0, Z -0
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by XtremeHacker » Post

I used the non-portable install script, and had issues with sudo not be used in the right place, and libjpeg8 got replaced in Debian 8, so I removed it from being installed, and added It's replacement (I tested the the original, and revised script on Debian 8, A.K.A. "Jessie".
Here is my revised version.

Code: Select all

sudo apt-get install -y git build-essential cmake libjpeg62-turbo-dev libirrlicht-dev libgettextpo0 libfreetype6-dev cmake libbz2-dev libpng12-dev libxxf86vm-dev libgl1-mesa-dev libsqlite3-dev libogg-dev libvorbis-dev libopenal-dev libcurl4-openssl-dev libluajit-5.1-dev liblua5.1-0-dev libleveldb-dev; sudo mkdir /minetest; cd; sudo git clone https://github.com/minetest/minetest.git; cd minetest/games; sudo git clone https://github.com/minetest/minetest_game.git; cd ..; sudo cmake . -DENABLE_GETTEXT=1 -DENABLE_FREETYPE=1 -DENABLE_LEVELDB=1; make -j$(nproc); sudo make install; minetest; echo -e "\n\n\e[1;33mYou can run Minetest again by typing \"minetest\" in a terminal or selecting it in an applications menu.\nYou can install mods in ~/.minetest/mods, too.\e[0m"
If you say that

Code: Select all

function.name_of_thing_to_do
is impossible, then you didn't try hard enough. :P

Mods I work on: MicroExpansion

User avatar
Hiradur
Member
Posts: 26
Joined: Sat Feb 22, 2014 17:44

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Hiradur » Post

XtremeHacker wrote:Here is my revised version.
sudo should not be put before every command. It's a security risk and possibly breaks permissions for files. The 1-line script works fine on Debian 8 without these added sudos (only needs a replacement for libjpeg8).

User avatar
XtremeHacker
Member
Posts: 174
Joined: Mon Aug 01, 2016 04:15
GitHub: MisterXtreme
IRC: MrXtreme
In-game: MrXtreme
Location: X -0, Y -0, Z -0
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by XtremeHacker » Post

Hiradur wrote:
XtremeHacker wrote:Here is my revised version.
sudo should not be put before every command. It's a security risk and possibly breaks permissions for files. The 1-line script works fine on Debian 8 without these added sudos (only needs a replacement for libjpeg8).
OK, it seems you were right, maybe I didn't setup sudo right, thanks.
If you say that

Code: Select all

function.name_of_thing_to_do
is impossible, then you didn't try hard enough. :P

Mods I work on: MicroExpansion

User avatar
octacian
Member
Posts: 594
Joined: Mon Dec 21, 2015 22:18
GitHub: octacian
IRC: octacian
In-game: octacian
Location: Canada

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by octacian » Post

On latest Debian 8, libjpeg does not appear to be valid. Maybe it's just my repo configuration. Instead, as Debian suggested, I simply used libjpeg62-turbo-dev.

Edit: Just noticed XtremeHacker pointed this out as well. Oh well, it should be more than clear now for newb Debian users :D

(newb as in people who don't read what Debian suggests as a replacement package, and instead have a mental breakdown)
MicroExpansion, Working Computers, All Projects - Check out my YouTube channel! (octacian)
I'm currently inactive in the Minetest community! So if I don't respond, that's why.

User avatar
DreamKeeper
Member
Posts: 20
Joined: Mon Oct 24, 2016 17:37

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by DreamKeeper » Post

Hello, friends!

Please be kind to answer the question:

I have Debian Wheezy, so.... do I need to get better OS version (config)... or... I can install minetest fresh version without any negative effetcts on my Debian Wheezy?

I appreciate your help.

User avatar
Calinou
Moderator
Posts: 3164
Joined: Mon Aug 01, 2011 14:26
GitHub: Calinou
IRC: Calinou
In-game: Calinou
Location: Troyes, France
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Calinou » Post

DreamKeeper wrote:Hello, friends!

Please be kind to answer the question:

I have Debian Wheezy, so.... do I need to get better OS version (config)... or... I can install minetest fresh version without any negative effetcts on my Debian Wheezy?

I appreciate your help.
This script might work on Debian wheezy, but I'm not sure. In any case, at the time of writing, you can still build Minetest yourself on Debian wheezy (or even Ubuntu 12.04, which is almost 5 years old now).

User avatar
DreamKeeper
Member
Posts: 20
Joined: Mon Oct 24, 2016 17:37

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by DreamKeeper » Post

Calinou wrote:
DreamKeeper wrote:Hello, friends!

Please be kind to answer the question:

I have Debian Wheezy, so.... do I need to get better OS version (config)... or... I can install minetest fresh version without any negative effetcts on my Debian Wheezy?

I appreciate your help.
This script might work on Debian wheezy, but I'm not sure. In any case, at the time of writing, you can still build Minetest yourself on Debian wheezy (or even Ubuntu 12.04, which is almost 5 years old now).

Thank you very much.

User avatar
DreamKeeper
Member
Posts: 20
Joined: Mon Oct 24, 2016 17:37

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by DreamKeeper » Post

Oh my.... I have almost running my own server.....

Only one bug (of feature?) I've got: I see nothing (black screen) when authorized as admin.
But, when authorized as normal user - I can see world and all is OK and perfect.

What's wrong with admin's view?
Do I need some mod to be installed? Or is this some sort of bug?
Attachments
cut2.PNG
(327.68 KiB) Downloaded 1 time
cut1.PNG
(10 KiB) Downloaded 1 time

User avatar
kaeza
Moderator
Posts: 2162
Joined: Thu Oct 18, 2012 05:00
GitHub: kaeza
IRC: kaeza diemartin blaaaaargh
In-game: kaeza
Location: Montevideo, Uruguay
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by kaeza » Post

DreamKeeper wrote:Oh my.... I have almost running my own server.....

Only one bug (of feature?) I've got: I see nothing (black screen) when authorized as admin.
But, when authorized as normal user - I can see world and all is OK and perfect.

What's wrong with admin's view?
Do I need some mod to be installed? Or is this some sort of bug?
Your "admin" player may be buried underground. Try enabling noclip (H key) and fly (K key), and fly up.
Your signature is not the place for a blog post. Please keep it as concise as possible. Thank you!

Check out my stuff! | Donations greatly appreciated! PayPal

User avatar
DreamKeeper
Member
Posts: 20
Joined: Mon Oct 24, 2016 17:37

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by DreamKeeper » Post

kaeza wrote:
DreamKeeper wrote:Oh my.... I have almost running my own server.....

Only one bug (of feature?) I've got: I see nothing (black screen) when authorized as admin.
But, when authorized as normal user - I can see world and all is OK and perfect.

What's wrong with admin's view?
Do I need some mod to be installed? Or is this some sort of bug?
Your "admin" player may be buried underground. Try enabling noclip (H key) and fly (K key), and fly up.

Absolutely correct. Now it's ok.
Thank you all!

User avatar
Lejo
Member
Posts: 714
Joined: Mon Oct 19, 2015 16:32
GitHub: Lejo1
In-game: Lejo

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Lejo » Post

I can't install minetest with my new Ubuntu 16.10 Version.
It allways says:

Code: Select all

E: Für Paket »libpng12-dev« existiert kein Installationskandidat.
And then I don't get the bin folder.

Please Help.

User avatar
Lejo
Member
Posts: 714
Joined: Mon Oct 19, 2015 16:32
GitHub: Lejo1
In-game: Lejo

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Lejo » Post

I now install libpng12-dev manual, but now i can't start minetest.

Lejo

User avatar
Calinou
Moderator
Posts: 3164
Joined: Mon Aug 01, 2011 14:26
GitHub: Calinou
IRC: Calinou
In-game: Calinou
Location: Troyes, France
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Calinou » Post

Lejo wrote:I now install libpng12-dev manual, but now i can't start minetest.

Lejo
Ubuntu 16.10 has upgraded to libpng16 instead of libpng12, you should both compile and run using that version.

BBmine
Member
Posts: 3475
Joined: Sun Jul 12, 2015 22:51
GitHub: BBmine
IRC: BBmine
In-game: Baggins
Location: USA

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by BBmine » Post

I switched from Ubuntu 16.04 to the latest Debian testing today, and tried different ways to install Minetest with git. I've done it before just fine with Ubuntu. Here is what I got each time:

Code: Select all

-- The CXX compiler identification is unknown
CMake Error at CMakeLists.txt:9 (project):
  No CMAKE_CXX_COMPILER could be found.

  Tell CMake where to find the compiler by setting either the environment
  variable "CXX" or the CMake cache entry CMAKE_CXX_COMPILER to the full path
  to the compiler, or to the compiler name if it is in the PATH.


-- Configuring incomplete, errors occurred!
See also "/home/user/git/minetest/CMakeFiles/CMakeOutput.log".
See also "/home/user/git/minetest/CMakeFiles/CMakeError.log".
make: *** No targets specified and no makefile found.  Stop.

User avatar
Calinou
Moderator
Posts: 3164
Joined: Mon Aug 01, 2011 14:26
GitHub: Calinou
IRC: Calinou
In-game: Calinou
Location: Troyes, France
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by Calinou » Post

BBmine wrote:I switched from Ubuntu 16.04 to the latest Debian testing today, and tried different ways to install Minetest with git. I've done it before just fine with Ubuntu. Here is what I got each time:
The build-essential package should normally always install GCC (which lets you compile C/C++ code).

Alternatively, you may try to install the clang package, which also is a C/C++ compiler.

You can force the use of a specific compiler (Clang as an example, here) in a CMake project (which Minetest is) with these commands:

Code: Select all

export CC=/usr/bin/clang
export CXX=/usr/bin/clang++

BBmine
Member
Posts: 3475
Joined: Sun Jul 12, 2015 22:51
GitHub: BBmine
IRC: BBmine
In-game: Baggins
Location: USA

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by BBmine » Post

Calinou wrote:
BBmine wrote:I switched from Ubuntu 16.04 to the latest Debian testing today, and tried different ways to install Minetest with git. I've done it before just fine with Ubuntu. Here is what I got each time:
The build-essential package should normally always install GCC (which lets you compile C/C++ code).

Alternatively, you may try to install the clang package, which also is a C/C++ compiler.

You can force the use of a specific compiler (Clang as an example, here) in a CMake project (which Minetest is) with these commands:

Code: Select all

export CC=/usr/bin/clang
export CXX=/usr/bin/clang++
I tried that and got farther, but now it's saying this:

Code: Select all

- *** Will build version 0.4.14-dev ***
-- Could NOT find Irrlicht (missing:  IRRLICHT_LIBRARY IRRLICHT_INCLUDE_DIR) 
-- Could NOT find CURL (missing:  CURL_LIBRARY CURL_INCLUDE_DIR) 
CMake Warning at src/CMakeLists.txt:52 (message):
  cURL is required to load the server list


-- Could NOT find GetText (missing:  GETTEXT_MSGFMT) 
-- Could NOT find Freetype (missing:  FREETYPE_LIBRARY FREETYPE_INCLUDE_DIRS) 
-- Could NOT find LuaJit (missing:  LUA_LIBRARY LUA_INCLUDE_DIR) 
-- LuaJIT not found, using bundled Lua.
-- Detecting GMP from system failed.
-- Using bundled mini-gmp library.
-- ncurses console enabled.
-- Could NOT find PostgreSQL (missing:  PostgreSQL_LIBRARY PostgreSQL_INCLUDE_DIR PostgreSQL_TYPE_INCLUDE_DIR) 
-- PostgreSQL not found!
-- LevelDB not found!
-- Redis not found!
CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find SQLite3 (missing: SQLITE3_LIBRARY SQLITE3_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  cmake/Modules/FindSQLite3.cmake:8 (find_package_handle_standard_args)
  src/CMakeLists.txt:255 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/user/git/minetest/CMakeFiles/CMakeOutput.log".
See also "/home/user/git/minetest/CMakeFiles/CMakeError.log".
make: *** No targets specified and no makefile found.  Stop.
Sorry, I don't really know much about compiling :P. Especially in Debian.

User avatar
ClaudiusMinimus
Member
Posts: 42
Joined: Wed Jun 01, 2016 17:46
GitHub: ClaudiusMinimus
IRC: ClaudiusMinimus
In-game: ClaudiusMinimus
Location: Rocky Mountiains in the Western USA
Contact:

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by ClaudiusMinimus » Post

Your script installs libirrlicht-dev, do you know what version that is for LinuxMint 18.x (based on Ubuntu 16.04)? I need irrlicht 1.8.4 or greater to use the clipboard between LinuxMint & MT 0.4.15
ClaudiusMinimus

Follow my blog at: ClaudiusMinimus' Universe
Visit me at the incredible Illuna Universe

QTZ7aRLAjB*z
New member
Posts: 2
Joined: Mon Aug 22, 2016 09:31

Re: [Debian / Ubuntu] 1-line script: install Minetest Git

by QTZ7aRLAjB*z » Post

Thank you so much for this!! saved me hours - works perfectly on ubunutu 16.04 server

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests